<?php

namespace App\Http\Controllers;

use App\Models\Commande;
use Illuminate\Http\Request;

class CommandeAdminController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $commandes = Commande::all();
        return view('part.admin.commande.index')->with('commandes', $commandes);
    }


    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $commande = Commande::all();
        $commande->user_id = $request->user_id;
        $commande->produits = $request->produits;
        $commande->montant = $request->montant;
        $commande->adresse = $request->adresse;
        $save = $commande->save();
        if($save){
            $message = 'Votre commande a été bien enregistrée';
            return back()->with('message', $message);
        } else {
            $error = 'une erreur est survenue';
            return back()->with('error', $error);
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $commande = Commande::find($id);
        $delete = $commande->delete();

        if($delete){
            $message = 'La commande a été bien supprimée';
            return back()->with('message', $message);
        }
        else{
            $error = 'Une erreur est survenue';
            return back()->with('error', $error);
        }
    }
}
