
@extends('layouts.table')

@section('content')
<div class="container-fluid" id="container-wrapper">
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
      <h1 class="h3 mb-0 text-gray-800">Commandes</h1>
      @if (Session::has('message'))
      <h4 class="text-primary text-center">{!! Session::get('message') !!}</h4>
      @endif
      @if (Session::has('danger'))
      <h4 class="text-danger text-center">{!! Session::get('danger') !!}</h4>
      @endif
      <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="./">Admin</a></li>
        <li class="breadcrumb-item">Commandes</li>
        <li class="breadcrumb-item active" aria-current="page">Liste</li>
      </ol>
    </div>

    <!-- Row -->
    <div class="row">
      <!-- DataTable with Hover -->
      <div class="col-lg-12">
        <div class="card mb-4">
          <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-primary">Liste des commandes</h6>
          </div>
          <div class="table-responsive p-3">
            <table class="table align-items-center table-flush table-hover" id="dataTableHover">
              <thead class="thead-light text-center">
                <tr>
                  <th>N°</th>
                  <th>User_id</th>
                  <th>Produits</th>
                  <th>montant</th>
                  <th>Adresse</th>
                  <th>Ajout</th>
                  <th>Actions</th>
                </tr>
              </thead>
              <tfoot class="text-center">
                <tr>
                    <th>N°</th>
                    <th>User_id</th>
                    <th>Produits</th>
                    <th>montant</th>
                    <th>Adresse</th>
                    <th>Ajout</th>
                    <th>Actions</th>
                </tr>
              </tfoot>
              <tbody class="text-center">
                  @foreach ($commandes as $commande)
                      <tr>
                          <th>{{ $commande->id }}</th>
                          <th>{{ $commande->user_id }}</th>
                          <th>{{ $commande->produits }}</th>
                          <th>{{ $commande->montant }}</th>
                          <th>{{ $commande->adresse }}</th>
                          <th>{{ $commande->created_at }}</th>
                          <th>

                              <div class="modal fade" id="supprimer_{{ $commande->id }}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                  <div class="modal-content">
                                  <form action="{{ route('destroy_commande', ['id' => $commande->id ] ) }}" method="post">
                                    @csrf
                                    <div class="modal-header">
                                      <h5 class="modal-title" id="exampleModalLabel">Supprimer</h5>
                                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                      </button>
                                    </div>
                                    <div class="modal-body">
                                        <div class="text-center">Êtes vous sûr de vouloir supprimer l'commande {{ $commande->nom }} ?</div>
                                    </div>
                                    <div class="modal-footer">
                                      <button type="reset" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
                                      <button type="submit" class="btn btn-primary">Valider</button>
                                    </div>
                                  </form>
                                  </div>
                                </div>
                              </div>
                              <button class="btn btn-danger" data-toggle="modal" data-target="#supprimer_{{ $commande->id }}">Supprimer</button>
                              <button class="btn btn-primary" data-toggle="modal" data-target="#supprimer_{{ $commande->id }}">Modifier</button>
                          </th>
                      </tr>
                  @endforeach
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
    <!--Row-->

  </div>

@endsection


