<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('dashboard', [App\Http\Controllers\DashboardController::class, 'index'])->name('dashboard')->middleware(['auth']);

Route::get('admin/categories/liste', [App\Http\Controllers\CategorieAdminController::class, 'index'])->name('liste_admin_categorie')->middleware(['auth']);
Route::post('admin/categories/liste', [App\Http\Controllers\CategorieAdminController::class, 'store']);
Route::post('admin/categories/supprimer/{id}', [App\Http\Controllers\CategorieAdminController::class, 'destroy'])->name('destroy_categorie');
Route::post('admin/categories/modifier/{id}', [App\Http\Controllers\CategorieAdminController::class, 'update'])->name('update_categorie');

Route::get('admin/entreprises/liste', [App\Http\Controllers\EntrepriseAdminController::class, 'index'])->name('liste_admin_entreprise')->middleware(['auth']);
Route::post('admin/entreprises/supprimer/{id}', [App\Http\Controllers\EntrepriseAdminController::class, 'destroy'])->name('destroy_entreprise');

Route::get('admin/particuliers/liste', [App\Http\Controllers\ParticulierAdminController::class, 'index'])->name('liste_admin_particulier')->middleware(['auth']);
Route::post('admin/particuliers/supprimer/{id}', [App\Http\Controllers\ParticulierAdminController::class, 'destroy'])->name('destroy_particulier');

Route::get('admin/produits/liste', [App\Http\Controllers\ProduitAdminController::class, 'index'])->name('liste_admin_produit')->middleware(['auth']);
Route::post('admin/produits/supprimer/{id}', [App\Http\Controllers\ProduitAdminController::class, 'destroy'])->name('destroy_produit');
Route::post('admin/produits/modifier/{id}', [App\Http\Controllers\ProduitAdminController::class, 'update'])->name('update_produit');

Route::get('admin/commandes/liste', [App\Http\Controllers\CommandeAdminController::class, 'index'])->name('liste_admin_commande')->middleware(['auth']);
Route::post('admin/commandes/supprimer/{id}', [App\Http\Controllers\CommandeAdminController::class, 'destroy'])->name('destroy_commande');
Route::post('admin/commandes/modifier/{id}', [App\Http\Controllers\CommandeAdminController::class, 'update'])->name('update_commande');

//For users
Route::get('boutique', [App\Http\Controllers\User\Achat\AchatProduitController::class, 'boutique'])->name('boutique')->middleware(['auth']);
Route::get('vente/produits', [App\Http\Controllers\User\Achat\AchatProduitController::class, 'produits_vente'])->name('produits_vente')->middleware(['auth']);
Route::get('vente/vente', [App\Http\Controllers\User\Achat\AchatProduitController::class, 'vente_vente'])->name('vente_vente')->middleware(['auth']);
Route::get('vente/commandes', [App\Http\Controllers\User\Achat\AchatProduitController::class, 'commande_vente'])->name('commande_vente')->middleware(['auth']);
Route::get('vente/livraisons', [App\Http\Controllers\User\Achat\AchatProduitController::class, 'livraison_vente'])->name('livraison_vente')->middleware(['auth']);
require __DIR__.'/auth.php';
